Package ru.bitel.bgbilling.plugins.documents.server.bean.event

# Class DocumentGetPatternListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.documents.server.bean.event.DocumentGetPatternListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class DocumentGetPatternListEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Локальное синхронное событие, которое запрашивает в скриптах список шаблонов плагина Documents. Данный список в итоге перетрет тот, что сформирован штатным механизмом с фильтрацией по домену. Если скрипт вернет пустой список шаблонов, то будет использован штатный механизм. Данное событие формируется только при запросе списка шаблонов в карточке договора на вкладке Документы.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentGetPatternListEvent(int contractId, int pluginUID, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPattern(DocumentPattern pattern)`
  Добавление шаблонов поштучно в скриптах.
  `List<DocumentPattern>`
  `getPatternList()`
  Получение списка шаблонов, заполненного скриптами.
  `void`
  `setPatternList(List<DocumentPattern> patternList)`
  Установка списка шаблонов, заполненного скриптами.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentGetPatternListEvent

    public DocumentGetPatternListEvent(int contractId, int pluginUID, int userId)

- ## Method Details

  - ### getPatternList

    public List<DocumentPattern> getPatternList()
    Получение списка шаблонов, заполненного скриптами. Перетирает список шаблонов, сформированный штатным механизмом, включающим фильтрацию по домену. Используется только при формировании списка шаблонов в карточке договора.
    Returns:
      список шаблонов, сформированный скриптами.

  - ### setPatternList

    public void setPatternList(List<DocumentPattern> patternList)
    Установка списка шаблонов, заполненного скриптами. Перетирает список шаблонов, сформированный штатным механизмом, включающим фильтрацию по домену. Используется только при формировании списка шаблонов в карточке договора.
    Parameters:
      `patternList` - список шаблонов, сформированный скриптами.

  - ### addPattern

    public void addPattern(DocumentPattern pattern)
    Добавление шаблонов поштучно в скриптах. Может быть удобно при формировании списка в циклах. По итогу формируется список шаблонов, который перетирает список шаблонов, сформированный штатным механизмом, включающим фильтрацию по домену. Используется только при формировании списка шаблонов в карточке договора.
    Parameters:
      `pattern` - одиночный шаблон.